Bug 466297 - starts in an invalid mode
starts in an invalid mode
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 12:14 EDT by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 17:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (37.77 KB, text/plain)
2008-10-09 12:14 EDT, Bill Nottingham
no flags Details
x conf (567 bytes, text/plain)
2008-10-09 12:15 EDT, Bill Nottingham
no flags Details
/var/log/messages (35.21 KB, text/plain)
2008-10-09 12:15 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-10-09 12:14:17 EDT
Description of problem:

The intel driver starts in an invalid mode - the monitor (Dell 2005FPW, 1680x1050) just shows a 'Cannot display this mode' dialog.

Hardware is:

00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 06)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 06)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 06)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation ICH9M/M-E 2 port SATA IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
00:1f.5 IDE interface: Intel Corporation ICH9M/M-E 2 port SATA IDE Controller (rev 03)
02:00.0 Network controller: Intel Corporation Unknown device 4235

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.1.1-48.49.el5
xorg-x11-drv-i810-1.6.5-9.15.el5
mesa-libGL-6.5.1-7.6.el5
libdrm-2.0.2-1.1

How reproducible:

Every time

Steps to Reproduce:
1. Start X
  
Actual results:

No display

Expected results:

Display
Comment 1 Bill Nottingham 2008-10-09 12:14:49 EDT
Created attachment 319875 [details]
X log
Comment 2 Bill Nottingham 2008-10-09 12:15:09 EDT
Created attachment 319876 [details]
x conf
Comment 3 Bill Nottingham 2008-10-09 12:15:53 EDT
Created attachment 319877 [details]
/var/log/messages
Comment 4 Bill Nottingham 2008-10-09 12:16:44 EDT
FWIW, this box had similar symptoms under 5.2 w/intel, when (presumably) this chip was barely supported at all.
Comment 5 Adam Jackson 2012-04-17 17:07:07 EDT
No further hardware enablement updates are planned for RHEL5's X stack.  If this issue is still present in RHEL6, please update the affected product version and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.